Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Fix another script.
[simgrid.git] / buildtools / pipol / liste_install.sh
index 38fbde3..0051957 100644 (file)
@@ -11,36 +11,48 @@ if [ -e /usr/bin/apt-get ] ; then
     sudo apt-get -y install liblua5.1-dev lua5.1
     sudo apt-get -y install ruby1.8-dev ruby
     sudo apt-get -y install unzip
-    sudo apt-get -y remove cmake
     sudo apt-get -y install cmake
     sudo apt-get -y install wget
-fi
-
-if [ -e /usr/bin/yum ] ; then
-       sudo yum -y update
-    sudo yum -y install subversion
-    sudo yum -y install gcc
-    sudo yum -y install make
-    sudo yum -y install java-1.6.0-openjdk
-    sudo yum -y install lua-devel lua
-    sudo yum -y install ruby-devel ruby
-    sudo yum -y install unzip
-    sudo yum -y remove cmake
-    sudo yum -y install cmake
-    sudo yum -y install wget
-fi
-
-if [ x$arch = xDarwin ] ; then
-    sudo fink -y install svn
-    sudo fink -y install gcc42
-    sudo fink -y install make
-    sudo fink -y install java-1.6.0-openjdk
-    sudo fink -y install lua51-dev lua51
-    sudo fink -y install ruby18-dev ruby
-    sudo fink -y install unzip
-    sudo fink -y remove cmake
-    sudo fink -y install cmake
-    sudo fink -y install wget
+    sudo apt-get -y install perl
+    sudo apt-get -y install graphviz-dev graphviz
+    sudo apt-get -y install libpcre3-dev
+    sudo apt-get -y install f2c
+    if [ x$PIPOL_IMAGE = xi386-linux-ubuntu-karmic.dd.gz ] ; then
+       sudo apt-get -y install valgrind
+    fi
+else
+       if [ -e /usr/bin/yum ] ; then
+               sudo yum -y update
+           sudo yum -y install subversion
+           sudo yum -y install gcc
+           sudo yum -y install make
+           sudo yum -y install java-1.6.0-openjdk
+           sudo yum -y install lua-devel lua
+           sudo yum -y install ruby-devel ruby
+           sudo yum -y install unzip
+           sudo yum -y install cmake
+           sudo yum -y install wget
+           sudo yum -y install perl
+           sudo yum -y install graphviz-dev graphviz
+           sudo yum -y install libpcre3-dev
+           sudo yum -y install f2c
+       else
+               if [ x$arch = xDarwin ] ; then
+                   sudo fink -y install svn
+                   sudo fink -y install gcc42
+                   sudo fink -y install make
+                   sudo fink -y install java-1.6.0-openjdk
+                   sudo fink -y install lua51-dev lua51
+                   sudo fink -y install ruby18-dev ruby
+                   sudo fink -y install unzip
+                   sudo fink -y install cmake
+                   sudo fink -y install wget
+                   sudo fink -y install perl
+                   sudo fink -y install graphviz-dev graphviz
+                   sudo fink -y install pcre
+                   sudo fink -y install f2c
+               fi
+       fi
 fi
 
 which_svn=`which svn`          #svn necessary
@@ -53,6 +65,9 @@ which_ruby=`which ruby`               #ruby
 which_cmake=`which cmake`      #cmake necessary
 which_unzip=`which unzip`      #unzip for gtnets
 which_wget=`which wget`                #wget for cmake
+which_dot=`which dot`          #dot for cgraph
+which_perl=`which perl`                #perl
+which_f2c=`which f2c`          #f2c
 echo $which_cmake
 echo $which_unzip
 echo $which_ruby
@@ -62,36 +77,7 @@ echo $which_make
 echo $which_gcc
 echo $which_gpp
 echo $which_svn
-
-which_cmake_version=`cmake --version`
-which_cpack_version=`cpack --version`
-which_ctest_version=`ctest --version`
-echo "current version of cmake : $which_cmake_version"
-echo "current version of cpack : $which_cpack_version"
-echo "current version of ctest : $which_ctest_version"
-if [ "x$which_cmake_version" != "xcmake version 2.8.0" ] ; then
-       if [ "x$which_cmake_version" != "xcmake version 2.8.1" ] ; then
-               if [ "x$which_cmake_version" != "xcmake version 2.8.2" ] ; then
-                       which_cmake=`which cmake`
-                       which_cpack=`which cpack`
-                       which_ctest=`which ctest`
-                       wget http://www.cmake.org/files/v2.8/cmake-2.8.2.tar.gz
-                       if [ -e ./cmake-2.8.2.tar.gz ] ; then
-                               tar zxvf cmake-2.8.2.tar.gz
-                               cd ./cmake-2.8.2/
-                               cmake .
-                               make -j
-                               sudo ln -sf `pwd`/bin/cmake $which_cmake
-                               sudo ln -sf `pwd`/bin/cpack $which_cpack
-                               sudo ln -sf `pwd`/bin/ctest $which_ctest
-                       fi
-                       which_cmake_version=`cmake --version`
-                       which_cpack_version=`cpack --version`
-                       which_ctest_version=`ctest --version`
-                       echo "new version of cmake : $which_cmake_version"
-                       echo "new version of cpack : $which_cpack_version"
-                       echo "new version of ctest : $which_ctest_version"
-                       cd ..
-               fi
-       fi
-fi
\ No newline at end of file
+echo $which_dot
+echo $which_wget
+echo $which_perl
+echo $which_f2c
\ No newline at end of file